DOM::HTMLBodyElement Class Reference

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLBodyElement:

## Public Member Functions

| HTMLBodyElement (const HTMLBodyElement &other)
| HTMLBodyElement (const Node &other)
HTMLBodyElement & | operator= (const HTMLBodyElement &other)
HTMLBodyElement & | operator= (const Node &other)
DOMString | aLink () const
void | setALink (const DOMString &)
DOMString | background () const
void | setBackground (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | link () const
void | setLink (const DOMString &)
DOMString | text () const
void | setText (const DOMString &)
DOMString | vLink () const
void | setVLink (const DOMString &)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLBodyElement (HTMLBodyElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The HTML document body.

This element is always present in the DOM API, even if the tags are not present in the source document. See the BODY element definition in HTML 4.0.

Definition at line 50 of file html_base.h.

## Member Function Documentation

DOMString HTMLBodyElement::aLink | ( |  | ) | const

Color of active links (after mouse-button down, but before mouse-button up).

See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 59 of file html_base.cpp.

DOMString HTMLBodyElement::background | ( |  | ) | const

URI of the background texture tile image.

See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 69 of file html_base.cpp.

DOMString HTMLBodyElement::bgColor | ( |  | ) | const

Document background color.

See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 79 of file html_base.cpp.

DOMString HTMLBodyElement::link | ( |  | ) | const

Color of links that are not active and unvisited.

See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 90 of file html_base.cpp.

void HTMLBodyElement::setALink | ( | const DOMString & | value | ) |

see aLink

Definition at line 64 of file html_base.cpp.

void HTMLBodyElement::setBackground | ( | const DOMString & | value | ) |

see background

Definition at line 74 of file html_base.cpp.

void HTMLBodyElement::setBgColor | ( | const DOMString & | value | ) |

see bgColor

Definition at line 85 of file html_base.cpp.

void HTMLBodyElement::setLink | ( | const DOMString & | value | ) |

see link

Definition at line 96 of file html_base.cpp.

void HTMLBodyElement::setText | ( | const DOMString & | value | ) |

see text

Definition at line 107 of file html_base.cpp.

void HTMLBodyElement::setVLink | ( | const DOMString & | value | ) |

see vLink

Definition at line 118 of file html_base.cpp.

DOMString HTMLBodyElement::text | ( |  | ) | const

Document text color.

See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 101 of file html_base.cpp.

DOMString HTMLBodyElement::vLink | ( |  | ) | const

Color of links that have been visited by the user.

See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 112 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys